#!/bin/sh
cd "$1"
mkdir -m 755 properties/version/nsf
mkdir -m 755 properties/version/nsf/backup

PLATFORM=`/bin/uname`
JDK_64BIT_CMPTAG="$1/properties/version/IBM_Java_SE_Runtime_Environment_64bit.1.6.0.cmptag"

tar cpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/setupCmdLine bin/setupCmdLine.bat bin/setupCmdLine.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" UDDIReg/rexx/createddl.sh bin/EARExpander bin/EARExpander.bat bin/EARExpander.sh bin/GenPluginCfg bin/GenPluginCfg.bat bin/GenPluginCfg.sh bin/Java2WSDL bin/Java2WSDL.bat bin/Java2WSDL.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/JspBatchCompiler bin/ProfileManagement/eclipse32/pmt.bat bin/ProfileManagement/eclipse32/pmt.sh bin/ProfileManagement/eclipse32/wct.bat
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/ProfileManagement/eclipse32/wct.sh bin/ProfileManagement/eclipse64/pmt.bat bin/ProfileManagement/eclipse64/pmt.sh bin/ProfileManagement/eclipse64/wct.bat bin/ProfileManagement/eclipse64/wct.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/ProfileManagement/pmt.bat bin/ProfileManagement/wct.bat bin/PropFilePasswordEncoder bin/PropFilePasswordEncoder.bat
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/PropFilePasswordEncoder.sh bin/ResponseFilePasswordEncoder bin/ResponseFilePasswordEncoder.bat bin/ResponseFilePasswordEncoder.sh bin/SoapEarEnabler bin/UDDIUserDefinedValueSet
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/UDDIUserDefinedValueSet.bat bin/UDDIUserDefinedValueSet.sh bin/WASPostUpgrade bin/WASPreUpgrade bin/WSDL2Java bin/WSDL2Java.bat bin/WSDL2Java.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/WebSphereConnectJDBCDriverConversion bin/_fixprofileauthorities bin/_nodeuninst bin/_nodeuninst.bat bin/_nodeuninst.sh bin/addNode bin/addNode.bat bin/addNode.sh bin/backupConfig bin/backupConfig.bat
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/backupConfig.sh bin/cancelEJBTimers bin/cancelEJBTimers.bat bin/cancelEJBTimers.sh bin/ceiconfigreload bin/ceiconfigreload.bat bin/ceiconfigreload.sh bin/checkprereqs bin/chgwassvr bin/cleanupNode
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/cleanupNode.bat bin/cleanupNode.sh bin/clearClassCache bin/clearClassCache.bat bin/clearClassCache.sh bin/clientConfig.bat bin/clientConfig.sh bin/clientRAR bin/clientRAR.bat bin/clientRAR.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/clientUpgrade bin/collector bin/collector.bat bin/collector.sh bin/configureOs400WebServerDefinition bin/convertScriptCompatibility bin/convertlog bin/convertlog.bat bin/convertlog.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/createCertRequest bin/createCertRequest.bat bin/createCertRequest.sh bin/createEJBStubs bin/createEJBStubs.bat bin/createEJBStubs.sh bin/crtjavapgm bin/deleteProdLod bin/deregisterNode
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/deregisterNode.bat bin/deregisterNode.sh bin/detectprocess bin/disableProvisioning bin/disableProvisioning.bat bin/disableProvisioning.sh bin/dspwasinst bin/dumpExtensionRegistry
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/dumpExtensionRegistry.bat bin/dumpExtensionRegistry.sh bin/dumpNameSpace bin/dumpNameSpace.bat bin/dumpNameSpace.sh bin/ejbdeploy bin/ejbdeploy.bat bin/ejbdeploy.sh bin/enableJVM bin/enableProvisioning
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/enableProvisioning.bat bin/enableProvisioning.sh bin/enbprfwas bin/endptEnabler bin/endptEnabler.bat bin/endptEnabler.sh bin/eventUpgradeDB2.bat bin/eventUpgradeDB2.sh bin/eventUpgradeDB2ZOS.bat
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/eventUpgradeDB2ZOS.sh bin/eventUpgradeOracle.bat bin/eventUpgradeOracle.sh bin/eventbucket bin/eventbucket.bat bin/eventbucket.sh bin/eventcatalog bin/eventcatalog.bat bin/eventcatalog.sh bin/eventemit
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/eventemit.bat bin/eventemit.sh bin/eventpurge bin/eventpurge.bat bin/eventpurge.sh bin/eventpurgepool bin/eventpurgepool.bat bin/eventpurgepool.sh bin/eventquery bin/eventquery.bat bin/eventquery.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/ewasPostUnzip.bat bin/ewasPostUnzip.sh bin/findEJBTimers bin/findEJBTimers.bat bin/findEJBTimers.sh bin/genHistoryReport bin/genHistoryReport.bat bin/genHistoryReport.sh bin/genVersionReport
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/genVersionReport.bat bin/genVersionReport.sh bin/grtwasaut bin/heapMonitor bin/historyInfo bin/historyInfo.bat bin/historyInfo.sh bin/ikeyman.bat bin/ikeyman.sh bin/ikeyman_old.bat bin/iptest
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/iscdeploy bin/ivt bin/ivt.bat bin/ivt.sh bin/launchClient bin/launchClient.bat bin/launchClient.sh bin/launchWsadminListener bin/launchWsadminListener.bat bin/launchWsadminListener.sh bin/logViewer
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/logViewer.bat bin/logViewer.sh bin/manageWASCollectionServices bin/manageprofiles bin/manageprofiles.bat bin/manageprofiles.sh bin/managesdk bin/managesdk.bat bin/managesdk.sh bin/mb2mdb bin/migrateEAR
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/migrateEAR.bat bin/migrateEAR.sh bin/osgiCfgInit bin/osgiCfgInit.bat bin/osgiCfgInit.sh bin/osgiConsole bin/osgiConsole.bat bin/osgiConsole.sh bin/pdjrtecfg
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/pluginCfgMerge bin/pluginCfgMerge.bat bin/pluginCfgMerge.sh bin/processStats bin/queryCertificate bin/queryCertificate.bat bin/queryCertificate.sh bin/queryWASinstalls bin/registerNode
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/registerNode.bat bin/registerNode.sh bin/registerwstp bin/registerwstp.bat bin/registerwstp.sh bin/removeNode bin/removeNode.bat bin/removeNode.sh bin/removeOs400WebServerDefinition bin/renameNode
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/renameNode.bat bin/renameNode.sh bin/requestCertificate bin/requestCertificate.bat bin/requestCertificate.sh bin/restoreConfig bin/restoreConfig.bat bin/restoreConfig.sh bin/restoreJobManager
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/restoreJobManager.bat bin/restoreJobManager.sh bin/retrieveSigners bin/retrieveSigners.bat bin/retrieveSigners.sh bin/revokeCertificate bin/revokeCertificate.bat bin/revokeCertificate.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/runConfigActions bin/runcmt bin/rvkwasaut bin/schemagen bin/schemagen.bat bin/schemagen.sh bin/serverStatus bin/serverStatus.bat bin/serverStatus.sh bin/servicetools bin/setupClient
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/showlog bin/showlog.bat bin/showlog.sh bin/sibDDLGenerator bin/sibDDLGenerator.bat bin/sibDDLGenerator.sh bin/startManager bin/startManager.bat
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/startManager.sh bin/startNode bin/startNode.bat bin/startNode.sh bin/startServer bin/startServer.bat bin/startServer.sh bin/stopManager bin/stopManager.bat bin/stopManager.sh bin/stopNode
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/stopNode.bat bin/stopNode.sh bin/stopServer bin/stopServer.bat bin/stopServer.sh bin/svrsslcfg bin/syncNode bin/syncNode.bat bin/syncNode.sh bin/uninstall bin/updateNDProfileTemplates.xml
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/updwashost bin/versionInfo bin/versionInfo.bat bin/versionInfo.sh bin/wasprofile bin/wasprofile.bat bin/wasprofile.sh bin/wasservice.sh bin/wasservicehelper.bat bin/wrd bin/wrd-config
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/wrd-config.bat bin/wrd-config.sh bin/wrd.bat bin/wrd.sh bin/ws_ant bin/ws_ant.bat bin/ws_ant.sh bin/wsadmin bin/wsadmin.bat bin/wsadmin.sh bin/wsappid bin/wsappid.bat bin/wsappid.sh bin/wsc2n.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/wsdb2gen bin/wsdb2gen.bat bin/wsdb2gen.sh bin/wsdbgen.bat bin/wsdbgen.sh bin/wsdeploy bin/wsdeploy.bat bin/wsdeploy.sh bin/wsenhancer bin/wsenhancer.bat bin/wsenhancer.sh bin/wsgen bin/wsgen.bat
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/wsgen.sh bin/wsimport bin/wsimport.bat bin/wsimport.sh bin/wsinstance/setupCmdLine.sh bin/wsjpaversion bin/wsjpaversion.bat bin/wsjpaversion.sh bin/wsmapping bin/wsmapping.bat bin/wsmapping.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/wsreversemapping bin/wsreversemapping.bat bin/wsreversemapping.sh bin/wsschema bin/wsschema.bat bin/wsschema.sh bin/xjc bin/xjc.bat bin/xjc.sh derby/bin/embedded/db2jMigrate.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" derby/bin/embedded/dblook.sh derby/bin/embedded/ij.sh derby/bin/embedded/sysinfo.sh derby/bin/networkServer/dblook.sh derby/bin/networkServer/ij.sh derby/bin/networkServer/networkServerControl.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" derby/bin/networkServer/startNetworkServer.sh derby/bin/networkServer/stopNetworkServer.sh derby/bin/networkServer/sysinfo.sh etc/config/xforms/WebServicesFeaturePack/1.x/transformMetadata.xml
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" etc/config/xforms/WebServicesFeaturePack/compatibility.xml etc/config/xforms/WebServicesFeaturePack/noproduct/transformMetadata.xml installedConnectors/sib.api.jmsra.rar/META-INF/ra.xml
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/client_types.xml properties/dynaedge-cfg.xml properties/ewas/ewasPostUnzip.xml
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/logbr/ffdc/adv/ffdcdb.xml properties/logbr/ffdc/adv/ffdcsymdb.xml properties/productFilesMD/WASProductFilesMD.xml
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/version/install/firststeps/fbrowser.bat properties/version/install/firststeps/fbrowser.sh properties/version/install/firststeps/firststeps.bat properties/version/install/firststeps/firststeps.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/version/install/firststeps/readRegistry.bat properties/wasprofile.properties properties/ws-security.xml sar2war_tool/build.xml sar2war_tool/build1.xml
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" util/configManagerLauncher.bat util/configManagerLauncher.sh util/migratewsgw.bat util/migratewsgw.sh util/sibwsAuthGen.bat
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" util/sibwsAuthGen.sh
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" scriptLibraries/perfTuning/V70/ApplyPerfTuning.py bin/addKrbLoginModuleWSSCaller.py bin/addSamlLoginConfigs.py bin/deployConsole.py bin/LTPA_LDAPSecurityProcs.py bin/manageODC.py bin/pgc.py bin/redeployLRS.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/removeMapPlatformSubject.py bin/removePGC.py bin/securityProcs.py bin/setRunAsUser.py bin/updateBindings.py bin/updateZOSStartArgs.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" util/dynacacheJMSSIB.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/BaseHTTPServer.py optionalLibraries/jython/Lib/CGIHTTPServer.py optionalLibraries/jython/Lib/ConfigParser.py optionalLibraries/jython/Lib/Cookie.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/MimeWriter.py optionalLibraries/jython/Lib/Queue.py optionalLibraries/jython/Lib/SimpleHTTPServer.py optionalLibraries/jython/Lib/SocketServer.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/StringIO.py optionalLibraries/jython/Lib/UserDict.py optionalLibraries/jython/Lib/UserList.py optionalLibraries/jython/Lib/UserString.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/__future__.py optionalLibraries/jython/Lib/anydbm.py optionalLibraries/jython/Lib/atexit.py optionalLibraries/jython/Lib/base64.py optionalLibraries/jython/Lib/bdb.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/binhex.py optionalLibraries/jython/Lib/bisect.py optionalLibraries/jython/Lib/calendar.py optionalLibraries/jython/Lib/cgi.py optionalLibraries/jython/Lib/cmd.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/code.py optionalLibraries/jython/Lib/codecs.py optionalLibraries/jython/Lib/colorsys.py optionalLibraries/jython/Lib/commands.py optionalLibraries/jython/Lib/compileall.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/copy.py optionalLibraries/jython/Lib/copy_reg.py optionalLibraries/jython/Lib/dbexts.py optionalLibraries/jython/Lib/difflib.py optionalLibraries/jython/Lib/dircache.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/doctest.py optionalLibraries/jython/Lib/dospath.py optionalLibraries/jython/Lib/dumbdbm.py optionalLibraries/jython/Lib/encodings/__init__.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/aliases.py optionalLibraries/jython/Lib/encodings/ascii.py optionalLibraries/jython/Lib/encodings/charmap.py optionalLibraries/jython/Lib/encodings/cp037.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp1006.py optionalLibraries/jython/Lib/encodings/cp1026.py optionalLibraries/jython/Lib/encodings/cp1250.py optionalLibraries/jython/Lib/encodings/cp1251.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp1252.py optionalLibraries/jython/Lib/encodings/cp1253.py optionalLibraries/jython/Lib/encodings/cp1254.py optionalLibraries/jython/Lib/encodings/cp1255.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp1256.py optionalLibraries/jython/Lib/encodings/cp1257.py optionalLibraries/jython/Lib/encodings/cp1258.py optionalLibraries/jython/Lib/encodings/cp424.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp437.py optionalLibraries/jython/Lib/encodings/cp500.py optionalLibraries/jython/Lib/encodings/cp737.py optionalLibraries/jython/Lib/encodings/cp775.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp850.py optionalLibraries/jython/Lib/encodings/cp852.py optionalLibraries/jython/Lib/encodings/cp855.py optionalLibraries/jython/Lib/encodings/cp856.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp857.py optionalLibraries/jython/Lib/encodings/cp860.py optionalLibraries/jython/Lib/encodings/cp861.py optionalLibraries/jython/Lib/encodings/cp862.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp863.py optionalLibraries/jython/Lib/encodings/cp864.py optionalLibraries/jython/Lib/encodings/cp865.py optionalLibraries/jython/Lib/encodings/cp866.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/cp869.py optionalLibraries/jython/Lib/encodings/cp874.py optionalLibraries/jython/Lib/encodings/cp875.py optionalLibraries/jython/Lib/encodings/iso8859_1.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/iso8859_10.py optionalLibraries/jython/Lib/encodings/iso8859_13.py optionalLibraries/jython/Lib/encodings/iso8859_14.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/iso8859_15.py optionalLibraries/jython/Lib/encodings/iso8859_2.py optionalLibraries/jython/Lib/encodings/iso8859_3.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/iso8859_4.py optionalLibraries/jython/Lib/encodings/iso8859_5.py optionalLibraries/jython/Lib/encodings/iso8859_6.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/iso8859_7.py optionalLibraries/jython/Lib/encodings/iso8859_8.py optionalLibraries/jython/Lib/encodings/iso8859_9.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/koi8_r.py optionalLibraries/jython/Lib/encodings/latin_1.py optionalLibraries/jython/Lib/encodings/mac_cyrillic.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/mac_greek.py optionalLibraries/jython/Lib/encodings/mac_iceland.py optionalLibraries/jython/Lib/encodings/mac_latin2.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/mac_roman.py optionalLibraries/jython/Lib/encodings/mac_turkish.py optionalLibraries/jython/Lib/encodings/mbcs.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/raw_unicode_escape.py optionalLibraries/jython/Lib/encodings/undefined.py optionalLibraries/jython/Lib/encodings/unicode_escape.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/unicode_internal.py optionalLibraries/jython/Lib/encodings/utf_16.py optionalLibraries/jython/Lib/encodings/utf_16_be.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/encodings/utf_16_le.py optionalLibraries/jython/Lib/encodings/utf_8.py optionalLibraries/jython/Lib/fileinput.py optionalLibraries/jython/Lib/fnmatch.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/formatter.py optionalLibraries/jython/Lib/fpformat.py optionalLibraries/jython/Lib/ftplib.py optionalLibraries/jython/Lib/getopt.py optionalLibraries/jython/Lib/glob.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/gopherlib.py optionalLibraries/jython/Lib/gzip.py optionalLibraries/jython/Lib/htmlentitydefs.py optionalLibraries/jython/Lib/htmllib.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/httplib.py optionalLibraries/jython/Lib/imaplib.py optionalLibraries/jython/Lib/imghdr.py optionalLibraries/jython/Lib/isql.py optionalLibraries/jython/Lib/javaos.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/javapath.py optionalLibraries/jython/Lib/jreload.py optionalLibraries/jython/Lib/keyword.py optionalLibraries/jython/Lib/linecache.py optionalLibraries/jython/Lib/macpath.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/macurl2path.py optionalLibraries/jython/Lib/mailbox.py optionalLibraries/jython/Lib/mailcap.py optionalLibraries/jython/Lib/marshal.py optionalLibraries/jython/Lib/mhlib.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/mimetools.py optionalLibraries/jython/Lib/mimetypes.py optionalLibraries/jython/Lib/mimify.py optionalLibraries/jython/Lib/multifile.py optionalLibraries/jython/Lib/mutex.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/nntplib.py optionalLibraries/jython/Lib/ntpath.py optionalLibraries/jython/Lib/nturl2path.py optionalLibraries/jython/Lib/pawt/__init__.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/pawt/colors.py optionalLibraries/jython/Lib/pawt/swing.py optionalLibraries/jython/Lib/pdb.py optionalLibraries/jython/Lib/pickle.py optionalLibraries/jython/Lib/pipes.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/popen2.py optionalLibraries/jython/Lib/poplib.py optionalLibraries/jython/Lib/posixfile.py optionalLibraries/jython/Lib/posixpath.py optionalLibraries/jython/Lib/pprint.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/profile.py optionalLibraries/jython/Lib/pstats.py optionalLibraries/jython/Lib/pyclbr.py optionalLibraries/jython/Lib/quopri.py optionalLibraries/jython/Lib/random.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/re.py optionalLibraries/jython/Lib/reconvert.py optionalLibraries/jython/Lib/repr.py optionalLibraries/jython/Lib/rfc822.py optionalLibraries/jython/Lib/sched.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/sgmllib.py optionalLibraries/jython/Lib/shelve.py optionalLibraries/jython/Lib/shutil.py optionalLibraries/jython/Lib/site.py optionalLibraries/jython/Lib/smtplib.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/sndhdr.py optionalLibraries/jython/Lib/socket.py optionalLibraries/jython/Lib/sre.py optionalLibraries/jython/Lib/sre_compile.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/sre_constants.py optionalLibraries/jython/Lib/sre_parse.py optionalLibraries/jython/Lib/stat.py optionalLibraries/jython/Lib/string.py optionalLibraries/jython/Lib/symbol.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/telnetlib.py optionalLibraries/jython/Lib/tempfile.py optionalLibraries/jython/Lib/test/pystone.py optionalLibraries/jython/Lib/threading.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/token.py optionalLibraries/jython/Lib/tokenize.py optionalLibraries/jython/Lib/traceback.py optionalLibraries/jython/Lib/tzparse.py optionalLibraries/jython/Lib/unittest.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/urllib.py optionalLibraries/jython/Lib/urlparse.py optionalLibraries/jython/Lib/user.py optionalLibraries/jython/Lib/warnings.py optionalLibraries/jython/Lib/weakref.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/whichdb.py optionalLibraries/jython/Lib/whrandom.py optionalLibraries/jython/Lib/xdrlib.py optionalLibraries/jython/Lib/xml/__init__.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/Attr.py optionalLibraries/jython/Lib/xml/dom/CDATASection.py optionalLibraries/jython/Lib/xml/dom/CharacterData.py optionalLibraries/jython/Lib/xml/dom/Comment.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/DOMImplementation.py optionalLibraries/jython/Lib/xml/dom/Document.py optionalLibraries/jython/Lib/xml/dom/DocumentFragment.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/DocumentType.py optionalLibraries/jython/Lib/xml/dom/Element.py optionalLibraries/jython/Lib/xml/dom/Entity.py optionalLibraries/jython/Lib/xml/dom/EntityReference.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/Event.py optionalLibraries/jython/Lib/xml/dom/FtNode.py optionalLibraries/jython/Lib/xml/dom/MessageSource.py optionalLibraries/jython/Lib/xml/dom/NamedNodeMap.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/NodeFilter.py optionalLibraries/jython/Lib/xml/dom/NodeIterator.py optionalLibraries/jython/Lib/xml/dom/NodeList.py optionalLibraries/jython/Lib/xml/dom/Notation.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/ProcessingInstruction.py optionalLibraries/jython/Lib/xml/dom/Range.py optionalLibraries/jython/Lib/xml/dom/Text.py optionalLibraries/jython/Lib/xml/dom/TreeWalker.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/__init__.py optionalLibraries/jython/Lib/xml/dom/domreg.py optionalLibraries/jython/Lib/xml/dom/ext/Printer.py optionalLibraries/jython/Lib/xml/dom/ext/Visitor.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/ext/XHtml2HtmlPrinter.py optionalLibraries/jython/Lib/xml/dom/ext/XHtmlPrinter.py optionalLibraries/jython/Lib/xml/dom/ext/__init__.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/ext/c14n.py optionalLibraries/jython/Lib/xml/dom/ext/reader/Sax.py optionalLibraries/jython/Lib/xml/dom/ext/reader/Sax2.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/ext/reader/Sax2Lib.py optionalLibraries/jython/Lib/xml/dom/ext/reader/__init__.py optionalLibraries/jython/Lib/xml/dom/html/GenerateHtml.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLAnchorElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLAppletElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLAreaElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLBRElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLBaseElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLBaseFontElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLBodyElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLButtonElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLCollection.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLDListElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLDOMImplementation.py optionalLibraries/jython/Lib/xml/dom/html/HTMLDirectoryElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLDivElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLDocument.py optionalLibraries/jython/Lib/xml/dom/html/HTMLElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLFieldSetElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLFontElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLFormElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLFrameElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLFrameSetElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLHRElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLHeadElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLHeadingElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLHtmlElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLIFrameElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLImageElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLInputElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLIsIndexElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLLIElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLLabelElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLLegendElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLLinkElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLMapElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLMenuElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLMetaElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLModElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLOListElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLObjectElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLOptGroupElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLOptionElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLParagraphElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLParamElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLPreElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLQuoteElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLScriptElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLSelectElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLStyleElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLTableCaptionElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLTableCellElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLTableColElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLTableElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLTableRowElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLTableSectionElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLTextAreaElement.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/html/HTMLTitleElement.py optionalLibraries/jython/Lib/xml/dom/html/HTMLUListElement.py optionalLibraries/jython/Lib/xml/dom/html/__init__.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/dom/javadom.py optionalLibraries/jython/Lib/xml/dom/minidom.py optionalLibraries/jython/Lib/xml/dom/minitraversal.py optionalLibraries/jython/Lib/xml/dom/pulldom.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/ns.py optionalLibraries/jython/Lib/xml/parsers/__init__.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/__init__.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/parsers/xmlproc/_outputters.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/catalog.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/charconv.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/parsers/xmlproc/dtdparser.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/errors.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/namespace.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/parsers/xmlproc/utils.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/xcatalog.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/xmlapp.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/parsers/xmlproc/xmldtd.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/xmlproc.py optionalLibraries/jython/Lib/xml/parsers/xmlproc/xmlutils.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/parsers/xmlproc/xmlval.py optionalLibraries/jython/Lib/xml/sax/__init__.py optionalLibraries/jython/Lib/xml/sax/_exceptions.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/sax/drivers2/__init__.py optionalLibraries/jython/Lib/xml/sax/drivers2/drv_xmlproc.py optionalLibraries/jython/Lib/xml/sax/expatreader.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/sax/handler.py optionalLibraries/jython/Lib/xml/sax/sax2exts.py optionalLibraries/jython/Lib/xml/sax/saxexts.py optionalLibraries/jython/Lib/xml/sax/saxlib.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/sax/saxutils.py optionalLibraries/jython/Lib/xml/sax/writer.py optionalLibraries/jython/Lib/xml/sax/xmlreader.py optionalLibraries/jython/Lib/xml/utils/__init__.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/xml/utils/iso8601.py optionalLibraries/jython/Lib/xml/utils/qp_xml.py optionalLibraries/jython/Lib/xmllib.py optionalLibraries/jython/Lib/zipfile.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" optionalLibraries/jython/Lib/zlib.py
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" java/jre/lib/security/java.policy
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" java/jre/lib/security/java.security
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" java/jre/lib/security/cacerts
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" java/jre/lib/orb.properties
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/cimgr.props
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/cimjm/Liberty.properties
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/sdk/cmdDefaultSDK.properties properties/sdk/newProfileDefaultSDK.properties properties/postinstall/cacheRegistry.xml
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/ffdcRun.properties
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/ffdcStart.properties
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/ffdcStop.properties
tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" properties/converter.properties

if [ "$PLATFORM" = "SunOS" ]; then
    if [ ! -f ${JDK_64BIT_CMPTAG} ] ] ]; then
        tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/ProfileManagement/pmt.sh bin/ProfileManagement/wct.sh
    fi    
else
    tar rpf "$1/properties/version/nsf/backup/backupnsf.tar" bin/ProfileManagement/pmt.sh bin/ProfileManagement/wct.sh
fi